import { ɵɵdirectiveInject, ElementRef, NgZone, ɵɵdefineDirective, ɵɵNgOnChangesFeature, ɵsetClassMetadata, Directive, Input, ɵɵdefineNgModule, ɵɵdefineInjector, ɵɵsetNgModuleScope, NgModule } from '@angular/core';
import { configure, highlightBlock } from 'highlight.js';

// import hljs from 'highlight.js/lib/highlight';
class ContentDirective {
    constructor(elementRef, zone) {
        this.elementRef = elementRef;
        this.zone = zone;
        this.done = false;
    }
    ngOnChanges(simpleChanges) {
        // tslint:disable-next-line: no-string-literal
        if (simpleChanges['options'] && this.options) {
            configure(this.options);
        }
    }
    ngAfterViewChecked() {
        if (!this.done) {
            const selector = this.highlightSelector || 'code';
            if (this.elementRef.nativeElement.innerHTML &&
                this.elementRef.nativeElement.querySelector) {
                const snippets = this.elementRef.nativeElement.querySelectorAll(selector);
                this.zone.runOutsideAngular(() => {
                    for (const snippet of snippets) {
                        highlightBlock(snippet);
                    }
                });
                this.done = true;
            }
        }
    }
}
ContentDirective.ɵfac = function ContentDirective_Factory(t) { return new (t || ContentDirective)(ɵɵdirectiveInject(ElementRef), ɵɵdirectiveInject(NgZone)); };
ContentDirective.ɵdir = ɵɵdefineDirective({ type: ContentDirective, selectors: [["", "hljsContent", ""]], inputs: { options: "options", highlightSelector: ["hljsContent", "highlightSelector"] }, features: [ɵɵNgOnChangesFeature] });
/*@__PURE__*/ (function () { ɵsetClassMetadata(ContentDirective, [{
        type: Directive,
        args: [{
                selector: '[hljsContent]',
            }]
    }], function () { return [{ type: ElementRef }, { type: NgZone }]; }, { options: [{
            type: Input
        }], highlightSelector: [{
            type: Input,
            args: ['hljsContent']
        }] }); })();

class AngularHighlightJsModule {
}
AngularHighlightJsModule.ɵmod = ɵɵdefineNgModule({ type: AngularHighlightJsModule });
AngularHighlightJsModule.ɵinj = ɵɵdefineInjector({ factory: function AngularHighlightJsModule_Factory(t) { return new (t || AngularHighlightJsModule)(); }, imports: [[]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && ɵɵsetNgModuleScope(AngularHighlightJsModule, { declarations: [ContentDirective], exports: [ContentDirective] }); })();
/*@__PURE__*/ (function () { ɵsetClassMetadata(AngularHighlightJsModule, [{
        type: NgModule,
        args: [{
                declarations: [ContentDirective],
                imports: [],
                exports: [ContentDirective]
            }]
    }], null, null); })();

/*
 * Public API Surface of angular-highlight-js
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AngularHighlightJsModule, ContentDirective };
//# sourceMappingURL=angular2-highlight-js.js.map
